<?php

$manifest = array(
	'acceptable_sugar_flavors' => array('CE','PRO','CORP','ENT','ULT'),
	'acceptable_sugar_versions' => array(
		'exact_matches' => array(),
		'regex_matches' => array('(.*?)\\.(.*?)\\.(.*?)$'),
	),
	'author' => 'SugarCRM',
	'description' => 'Installs a sample logic hook - using logic_hooks installdefs',
	'icon' => '',
	'is_uninstallable' => true,
	'name' => 'Example Logic Hook Installer - Using logic_hooks installdefs',
	'published_date' => '2018-01-01 00:00:01',
	'type' => 'module',
	'version' => '0.1',
);

$installdefs = array(
	'id' => 'package_456',
	'copy' => array(
		0 => array(
			'from' => '<basepath>/Files/custom/modules/Accounts/accounts_save.php',
			'to' => 'custom/modules/Accounts/accounts_save.php',
		),
	),
	'logic_hooks' => array(
		array(
			'module' => 'Accounts',
			'hook' => 'before_save',
			'order' => 99,
			'description' => 'Example Logic Hook - Updates account name',
			'file' => 'custom/modules/Accounts/accounts_save.php',
			'class' => 'Accounts_Save',
			'function' => 'updateAccountName',
		),
	),
);
